Intereting Posts
Canon MG5320 не распознается простым сканированием (отлично печатает) Upstart, одно задание для начала и одно для остановки Как преобразовать time.time () в обычный формат datetime в linux? Ядровые ошибки на Launchpad GTA IV под Wine / PlayOnLinux Winetricks не может читать cd при установке игры Как создать собственный собственный сервер Dropbox / Ubuntu One дома? В чем разница между «Сохранить как» и «Сохранить копию»? Будут ли «устаревшие» приложения Linux / X11 работать на Ubuntu Touch? Команда «find -name» должна быть заключена в кавычки или она не работает. Почему это? Как создать многозадачную среду с использованием LVM для ваших операционных систем * buntu на системном диске с форматированием GPT в системе на основе UEFI? как я могу ввести команду sudo, когда часть моего пароля содержит заглавные буквы и цифры iptables, порядок правил – я правильно понимаю? Является ли snap переносимым в другой UNIX (пример macOS)? Firefox открывает загруженные PDF-файлы в File Roller

nowjs / node-proxy не удается установить на ubuntu 11.10

Я пытаюсь установить now.js на ubuntu 11.10 (работает в Windows с wubi, если это имеет значение). Я загрузил и установил узел, npm и socket.io просто отлично, но sudo npm install now не работает по какой-либо причине. Я пробовал с и без sudo, попытался установить его глобально, такую ​​же ошибку. Make установлен просто отлично … это какая-то проблема с пакетом node-proxy? Для чего это стоит, npm install node-proxy производит аналогичную ошибку.

узел версии 0.6.2
версия npm 1.0.106
ubuntu 11.10 (windows с wubi)

Журнал читает, когда я пытаюсь установить сейчас:

 npm WARN node-proxy@0.5.2 package.json: bugs['web'] should probably be bugs['url'] > node-proxy@0.5.2 install /home/my_name/node_modules/now/node_modules/node-proxy > make BUILDING: C++ Component /bin/sh: node-waf: not found cp: cannot stat `src/build/*/node-proxy.node': No such file or directory make: *** [all] Error 1 npm ERR! error installing node-proxy@0.5.2 Error: node-proxy@0.5.2 install: `make` npm ERR! error installing node-proxy@0.5.2 `sh "-c" "make"` failed with 2 npm ERR! error installing node-proxy@0.5.2 at ChildProcess. (/usr/lib/node_modules/npm/lib/utils/exec.js:49:20) npm ERR! error installing node-proxy@0.5.2 at ChildProcess.emit (events.js:70:17) npm ERR! error installing node-proxy@0.5.2 at maybeExit (child_process.js:359:16) npm ERR! error installing node-proxy@0.5.2 at Process.onexit (child_process.js:395:5) npm ERR! error installing now@0.7.6 Error: node-proxy@0.5.2 install: `make` npm ERR! error installing now@0.7.6 `sh "-c" "make"` failed with 2 npm ERR! error installing now@0.7.6 at ChildProcess. (/usr/lib/node_modules/npm/lib/utils/exec.js:49:20) npm ERR! error installing now@0.7.6 at ChildProcess.emit (events.js:70:17) npm ERR! error installing now@0.7.6 at maybeExit (child_process.js:359:16) npm ERR! error installing now@0.7.6 at Process.onexit (child_process.js:395:5) npm ERR! node-proxy@0.5.2 install: `make` npm ERR! `sh "-c" "make"` failed with 2 npm ERR! npm ERR! Failed at the node-proxy@0.5.2 install script. npm ERR! This is most likely a problem with the node-proxy package, npm ERR! not with npm itself. npm ERR! Tell the author that this fails on your system: npm ERR! make npm ERR! You can get their info via: npm ERR! npm owner ls node-proxy npm ERR! There is likely additional logging output above. npm ERR! npm ERR! System Linux 3.0.0-13-generic npm ERR! command "node" "/usr/bin/npm" "install" "now" npm ERR! cwd /home/my_name npm ERR! node -v v0.6.2 npm ERR! npm -v 1.0.106 npm ERR! code ELIFECYCLE npm ERR! npm ERR! Additional logging details can be found in: npm ERR! /home/my_name/npm-debug.log npm not ok 

Проблема в том, что node-waf отсутствует.

node-waf – это инструмент, который включен в узел, который позволяет компилировать двоичные модули, такие как node-proxy.

Вы можете проверить, доступен ли node-waf, просто введя node-waf в терминал, чтобы узнать, можно ли найти команду. Если нет, вам нужно будет переустановить узел (запустите make install again), чтобы убедиться, что узел-waf доступен.